Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class ClassInfo

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.VectorDataCollection
                  |
                  +--ru.biosoft.plugins.javascript.HostObjectInfo
                        |
                        +--ru.biosoft.plugins.javascript.ClassInfo

public class ClassInfo
extends HostObjectInfo

todo implimentation

Fields inherited from class ru.biosoft.access.VectorDataCollection
`INITIAL_SIZE`

Constructor Summary
`ClassInfo(String name, DataCollection parent)` Creates info for the specified Java class.

Methods inherited from class ru.biosoft.plugins.javascript.HostObjectInfo
`generateHtml, getDescription, getType, setDescription, setType, toString, toString`

Methods inherited from class ru.biosoft.access.VectorDataCollection
`close, getAt, getNameList, getSize, iterator, put, toArray`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getDataElementType, getInfo, isMutable, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Constructor Detail

### ClassInfo

    public ClassInfo(String name, DataCollection parent)

  Creates info for the specified Java class.
  Parameters:
    name - - class name
    parent - - `DataCollection` to which this class info belongs. Generally it is `plugins/Javascript/classes`.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM